/* 
 * Open Lock Daemon
 * 
 * Alberto Bertogli (albertogli@telpin.com.ar), 2003
 */


#include <stdio.h>
#include <stdlib.h>
#include <sys/types.h>
#include <unistd.h>
#include <signal.h>

#include "lock.h"
#include "net.h"

int main(int argc, char **argv)
{
	pid_t pid;
	
	/* ignore SIGPIPE */
	signal(SIGPIPE, SIG_IGN);

	/* detach */
	pid = fork();
	if (pid > 0) {
		exit(0);
	} else if (pid < 0) {
		perror("Error forking:");
		exit(1);
	}

	/* pid == 0, we're the child now */

	/* setsid can't fail now, so we don't care */
	setsid();

	/* enter network main loop */
	net_main_loop();

	return 0;
}


